万年素人からHackerへの道

万年素人がHackerになれるまで殴り書きするぜ。

NGUIの最新版(NGUI 2.2.7)でUnityの3.5.2f2で使ってみる。

最新版情報URL: http://gamesonytablet.blogspot.jp/2013/01/ngui-227.html

今のNGUIは3.5.4以上ではないと行けないようだ

Please note that NGUI requires Unity 3.5.4 or higher. You can get it to work with versions as early as 3.4.2, but it will require work on your part.

Mesh.colorsがあるが、Unity3.5.5からMesh.colors32が登場したようだ。
よって古いUnityでNGUI 2.2.7を使うとこのようなエラーが出るはずだ。

"Assets/NGUI/Scripts/Internal/UIDrawCall.cs(272,38): error CS1061: Type `UnityEngine.Mesh' does not contain a definition for `colors32' and no extension method `colors32' of type `UnityEngine.Mesh' could be found (are you missing a using directive or an assembly reference?)"

いろいろCSのファイルをいじろうと思ったけど面倒になったのおで
諦めて既存のUnityのフォルダをリネームして最新版入れましたね。